<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: latest_additions_panel.php
| CVS Version: 1.2
| Author: HobbyMan
| Web: http://php-fusion.hobbysites.net/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."latest_additions_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."latest_additions_panel/locale/English.php";
}

include INFUSIONS."latest_additions_panel/infusion_db.php";
require_once INFUSIONS."latest_additions_panel/inc/functions.php";
$ladp_data = dbarray(dbquery("SELECT * FROM ".DB_LATEST_ADDITIONS_SETTINGS));

if ($ladp_data['ladp_onf'] == 1) {
$limit = $ladp_data['ladp_limit'];
if ($limit > '1') { $title = $locale['lap101']; } else { $title = ""; }
$newtime = $ladp_data['ladp_time'];
$linknum = $ladp_data['ladp_char'];
$panelname = $ladp_data['ladp_name'];

opensidex($panelname);

// Photos

   if ($ladp_data['ladp_photo'] != 0) {
   if ($ladp_data['ladp_photo'] == 2 && $limit>1) { $phlimit = '1'; } else { $phlimit = $limit; }
   $result = dbquery("SELECT * FROM ".DB_PHOTOS." ORDER BY photo_id DESC LIMIT 0,$phlimit");

	echo "<div class='side-label mvp_master_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap004'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_master_body small' style='margin-bottom:3px'>\n";
	if (dbrows($result) !=0) {
		while ($data = dbarray($result)) {
		
		if ($data['photo_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
                } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum;}
     $itemdescription = trimlink($data['photo_title'], $trim);

		    echo "<center><a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>";
		    echo "<img src='".BASEDIR."images/photoalbum/"."album_".$data['album_id']."/".$data['photo_thumb1']."' border='0' alt='' /></a></center>\n";
		    echo "<span style='float:left;'>".$new."</span>";
		    echo "&nbsp;<a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>".$itemdescription."</a>";
		    echo "<span style='float:right;'>[".$data['photo_views']."]</span><br />\n";
		}
		  } else { echo "<center>".$locale['lap100']."</center>\n"; }

		
    if ($ladp_data['ladp_photo_link'] != 0) {
       $phlimit = ($limit-1);
       $result = dbquery("SELECT * FROM ".DB_PHOTOS." ORDER BY photo_id DESC LIMIT 1,$phlimit");
       	if (dbrows($result) !=0) {
		while ($data = dbarray($result)) {
		
		if ($data['photo_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
                } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum;}
     $itemdescription = trimlink($data['photo_title'], $trim);

		    echo "<span style='float:left;'>".$new."</span>";
		    echo "&nbsp;<a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>".$itemdescription."</a>";
		    echo "<span style='float:right;'>[".$data['photo_views']."]</span><br />\n";
		}
		 } else { echo "<center>".$locale['lap100']."</center>\n"; }
		   } echo "</div>\n";
		     }

     
// User

	if ($ladp_data['ladp_member'] != 0) {
     $result = dbquery("SELECT user_id, user_name, user_avatar, user_joined FROM ".DB_USERS." WHERE user_status = '0' ORDER BY user_joined DESC LIMIT 0,$limit");
     
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap008'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
	if (dbrows($result) !=0) {
		while ($data = dbarray($result)) {
			
	if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])) {$avatar = "<img src='".IMAGES."avatars/".$data['user_avatar']."' width='100' alt='".$data['user_name']."' />"; } else { $avatar = $noav; }
	if ($data['user_joined'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum+2);
       } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum+4; }
     $user = trimlink($data['user_name'], $trim);
     
     if ($ladp_data['ladp_member_av'] == 1) { echo "<center><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."'>".$avatar."</a></center>\n"; }
			
			echo "<span style='float:left;'>".$new."</span>";
			echo "&nbsp;<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."' class='side'>$user</a><br />\n";
		} 
		  } else { echo "<center>".$locale['lap100']."</center>\n"; }
		  
		  echo "</div>\n";
	}

// Forum Post

	if ($ladp_data['ladp_post'] != 0) {
     $result = dbquery("SELECT * FROM ".DB_THREADS." WHERE thread_locked = '0' ORDER BY thread_lastpost DESC LIMIT 0,$limit");
     
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap009'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
	if (dbrows($result) !=0) {
		while ($data = dbarray($result)) {
			
	if ($data['thread_lastpost'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
       } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum; }
        
        $itemsubject = trimlink($data['thread_subject'], $trim);
        $postcount = $data['thread_views'];
			
			echo "<span style='float:left;'>".$new."</span>";
			echo "&nbsp;<a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>$itemsubject</a>";
			echo "<span style='float:right;'>[".$postcount."]</span><br />\n";
		} 
		  } else { echo "<center>".$locale['lap100']."</center>\n"; }
		  
		  echo "</div>\n";
	}

// Articles

	 if ($ladp_data['ladp_article'] != 0) {
	 $result = dbquery("SELECT * FROM ".DB_ARTICLES." ta INNER JOIN ".DB_ARTICLE_CATS." tac ON ta.article_cat=tac.article_cat_id ".(iSUPERADMIN ? "" : "WHERE ".groupaccess('article_cat_access'))." AND article_draft='0' AND article_cat !='16' ORDER BY article_datestamp DESC LIMIT 0,$limit");
     
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap002'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
	if (dbrows($result) !=0) {
		while ($data = dbarray($result)) {
			
	if ($data['article_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
       } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum; }
        
        $itemsubject = trimlink($data['article_subject'], $trim);
			
			echo "<span style='float:left;'>".$new."</span>";
			echo "&nbsp;<a href='".BASEDIR."articles.php?article_id=".$data['article_id']."' title='".$data['article_subject']."' class='side'>$itemsubject</a>";
			echo "<span style='float:right;'>[".$data['article_reads']."]</span><br />\n";
		} 
		  } else { echo "<center>".$locale['lap100']."</center>\n"; }
		  
		  echo "</div>\n";
	}

// Downloads

  if ($ladp_data['ladp_download'] != 0) {
  if (file_exists(INFUSIONS."pro_download_panel/download.php")) {
//    $result = dbquery("SELECT * FROM ".DB_PREFIX."pdp_downloads INNER JOIN ".DB_PREFIX."pdp_files WHERE dl_name = file_desc ORDER BY file_id DESC LIMIT 0,$limit");

       $result = dbquery("SELECT * FROM ".DB_PREFIX."pdp_downloads ORDER BY dl_ctime DESC LIMIT 0,$limit");
     
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap003'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
	if (dbrows($result) !=0) {
		while ($data = dbarray($result)) {
			
	if ($data['dl_ctime'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
       } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum; }
			
			echo "<span style='float:left;'>".$new."</span>";
			echo "&nbsp;<a href='".INFUSIONS."pro_download_panel/download.php?did=".$data['download_id']."' title='".$data['dl_name']."' class='side'>".trimlink($data['dl_name'], $trim)."</a>";
			echo "<span style='float:right;'>[".number_format($data['dl_count'])."]</span><br />\n";
		} 
		  } else { echo "<center>".$locale['lap100']."</center>\n"; }
		  
		  echo "</div>\n";
	        
	        } else {
	        
	 $result = dbquery("SELECT * FROM ".DB_DOWNLOADS." INNER JOIN ".DB_DOWNLOAD_CATS." ON download_cat_id = download_cat WHERE ".groupaccess('download_cat_access')." ORDER BY download_datestamp DESC LIMIT 0,$limit");
     
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap003'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
	if (dbrows($result) !=0) {
		while ($data = dbarray($result)) {
			
	if ($data['download_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
       } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum; }
			
			echo "<span style='float:left;'>".$new."</span>";
			echo "&nbsp;<a href='".BASEDIR."downloads.php?cat_id=".$data['download_cat']."' title='".$data['download_title']."' class='side'>".trimlink($data['download_title'], $trim)."</a>";
			echo "<span style='float:right;'>[".number_format($data['download_count'])."]</span><br />\n";
		} 
		  } else { echo "<center>".$locale['lap100']."</center>\n"; }
		  
		  echo "</div>\n";
		  }
		    }


// Comments

 if ($ladp_data['ladp_comment'] != 0) {

   $result = dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_type = 'A' OR comment_type = 'N' OR comment_type = 'C' OR comment_type = 'P' ORDER BY comment_datestamp DESC LIMIT 0,$limit");

	 if (dbrows($result) != 0) {
	 echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap005'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	 echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
	 while ($data = dbarray($result)) {
	 if ($data['comment_type'] == 'A') { $comment_file = "articles"; $file_id = "article_id";}
	 elseif ($data['comment_type'] == 'N') {$comment_file = "news"; $file_id = "readmore"; }
	 elseif ($data['comment_type'] == 'P') {$comment_file = "photogallery"; $file_id = "photo_id"; }
	 elseif ($data['comment_type'] == 'C') {$comment_file = "viewpage"; $file_id = "page_id"; }
	 else {$comment_file = ""; }
	 if ($data['comment_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = $linknum;
                } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = ($linknum+2); }
                
                echo "<span style='float:left;'>".$new."</span>";
                echo "&nbsp;<a href='".BASEDIR.$comment_file.".php?".$file_id."=".$data['comment_item_id']."' title='".trimlink($data['comment_message'],40)."'>".trimlink($data['comment_message'], $trim)."</a><br />\n";
       }
  echo "</div>";
         } else { echo "<center>".$locale['lap100']."</center>\n"; }
     
  if (file_exists(INFUSIONS."pro_download_panel/download.php") && ($ladp_data['ladp_download'] != 0)) {

    $result = dbquery("SELECT * FROM ".DB_PREFIX."pdp_comments ORDER BY comment_timestamp DESC LIMIT 0,$limit");
    if(dbrows($result) !=0) {
	echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap05p'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
    while($data = dbarray($result)) {
    if ($data['comment_timestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = $linknum;
                } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = ($linknum+2); }
   echo "<span style='float:left;'>".$new."</span>";
   echo "&nbsp;<a href='".INFUSIONS."pro_download_panel/download.php?did=".$data['download_id']."' title='".trimlink($data['comment_text'], 40)."'>".trimlink($data['comment_text'], $trim)."</a><br />\n";
        } 
    echo "</div>";
           }
	         }
	           }

// News

  if ($ladp_data['ladp_news'] != 0) {
    $result = dbquery("SELECT * FROM ".DB_NEWS." WHERE news_draft ='0' ORDER BY news_datestamp DESC LIMIT 0,$limit");
    if (dbrows($result) != 0) {
	 echo "<div class='side-label mvp_head small' style='cursor: pointer;' title='".$locale['lap102']."'><b>".$locale['lap006'].$title."</b><span style='float:right;'>".$excol."</span></div>\n";
	 echo "<div class='mvp_body small' style='margin-bottom:3px'>\n";
	while ($data = dbarray($result)) {
	if ($data['news_datestamp'] + $newtime > time() + ($settings['timeoffset'] * 3600)) { $new = "<img src='".INFUSIONS."latest_additions_panel/img/new.gif' border='0' alt='' />"; $trim  = ($linknum-2);
                } else { $new = "<img src='".THEME."images/bullet.gif' border='0' alt='' />"; $trim  = $linknum; }
    $itemsubject = trimlink($data['news_subject'], $trim);
	echo "<span style='float:left;'>".$new."</span>";
	echo "&nbsp;<a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."' class='side'>$itemsubject</a>";
	echo "<span style='float:right;'>[".$data['news_reads']."]</span><br />\n";
	       }
	echo "</div>";
             } else { echo "<center>".$locale['lap100']."</center>\n"; }
                       }

closesidex();

   if ($ladp_data['ladp_bonus'] != 0) {
opensidex($locale['lap500']); 
       include INFUSIONS."latest_additions_panel/inc/mvp_include.php";
closesidex(); 
              }
                }

?>